import { select, geoMercator, geoPath, zoom } from 'd3';
const svg = select('svg');
const transitionDuration = 500;
const width = document.body.clientWidth;
const height = document.body.clientHeight;
let active = d3.select(null);
svg.attr('width', width).attr('height', height)
const g = svg.append('g');
const mercator = geoMercator().scale(30000).translate([width/2, height/2]).center([73,19.7]);
const pathGenerator = geoPath().projection(mercator);


//makemap
const plotpoint = (geojson) => {
    g.selectAll("circle")
		.data(geojson).enter()
		.append("circle")
		.attr("cx", function (d) { return mercator(d.geometry.coordinates)[0]; })
		.attr("cy", function (d) { return mercator(d.geometry.coordinates)[1]; })
		.attr("r", "2px")
}

d3.json('awc.json').then(json =>{
  plotpoint(json.features)
})

 